// score: 70
// faster dp solution
// O(n B^2)
#include <bits/stdc++.h>
using namespace std;

constexpr int inf = 1e9;

int cdiv(int64_t a, int64_t b){
    if(a > 0) return (a + b-1)/b;
    return a/b;
}

template<typename T>
void xmin(T&a, T const&b){
    a = min(a, b);
}

signed main(){
    int n, A, B;
    cin >> n >> A >> B;
    vector<int> v(n);
    int64_t whole = 0;
    for(auto &e:v) {
        cin >> e;
        if(e > 2*A*B){
            int x = e/(A*B)-2;
            e -= x*A*B;
            whole += x;
        }
    }
    vector<vector<int64_t> > dp(n+1, vector<int64_t>(B, inf));
    dp[0][0] = 0;
    for(int i=0; i<n; ++i){
        const int e = v[i];
        for(int a=0; a <= min(B, e/A+1); ++a){
            const int b = (max(0, e-a*A)+B-1)/B;
            for(int x = 0; x < B-a; ++x){
                xmin(dp[i+1][x+a], dp[i][x]+b);
            }
            // whole pizza of A-slices -> whole pizza of B-slices
            for(int x = B-a; x < B; ++x){
                xmin(dp[i+1][x+a-B], dp[i][x]+b + A);
            }
        }
    }
    int ans = inf;
    for(int i=0; i<B; ++i){
        xmin(ans, cdiv(dp[n][i], A) + cdiv(i, B));
    }
    cout << whole+ans << "\n";
}
