// score:  0
// very simple slow dp solution
// O(n^4 A^2 B) if food values are <= 2 A B
#include <bits/stdc++.h>
using namespace std;



signed main(){
    int n, A, B;
    cin >> n >> A >> B;
    vector<int> v(n);
    for(auto &e:v) cin >> e;
    const int S = accumulate(v.begin(), v.end(), 0);
    const int X = S/A+n+2, Y = S/B+n+2;
    vector<vector<vector<bool> > > dp(n+1, vector<vector<bool> > (X, vector<bool>(Y, false)));
    dp[0][0][0] = true;
    for(int i=0; i<n; ++i){
        const int e = v[i];
        for(int x=0; x<X; ++x){
            int y = (max(0, e-A*x)+B-1)/B;
            for(int a=0; a<X-x; ++a){
                for(int b=0; b<Y-y; ++b){
                    if(dp[i][a][b]) dp[i+1][a+x][b+y] = 1;
                }
            }
        }
    }
    int ans = 1e9;
    for(int i=0; i<X; ++i){
        for(int j=0; j<Y; ++j){
            if(dp[n][i][j]){
                ans = min(ans, (i+B-1)/B + (j+A-1)/A);
            }
        }
    }
    cout << ans << "\n";
}
