// score:  0
// simple greedy, output is either correct or one too large.
#include <bits/stdc++.h>
using namespace std;

pair<int, int>& operator+=(pair<int, int> &a, pair<int, int> const&b){
    a.first += b.first;
    a.second += b.second;
    return a;
}
pair<int, int> operator+(pair<int, int> a, pair<int, int> const&b){
    a+=b;
    return a;
}
int cdiv(int a, int b){
    assert(0 < b);
    if(a > 0) return (a + b-1)/b;
    return a/b;
}

struct Decomp{
    Decomp(int A_, int B_) : A(A_), B(B_), U(2*A*B+1), pre(U, {-1, -1}), up(U){
        for(int i=0; i <= min(2*B, U/A); ++i){
            for(int j=0; j<= U/B; ++j){
                const int r = i*A + j*B;
                if(r < U){
                    pre[r] = make_pair(i, j);
                }
            }
        }
        assert(pre[U-1].first != -1);
        for(int i=U-1; i>=0; --i){
            if(pre[i].first == -1) up[i] = up[i+1];
            else up[i] = i;
        }
    }
    pair<int, int> operator()(int x) const {
        if(x > U){
            int a = max(0, x / (A*B)-1);
            return operator()(x - a*A*B) + make_pair(a*B, 0);
        }
        auto ret = pre[up[x]];
        assert(ret.first != -1);
        return ret;
    }
    int A, B, U;
    vector<pair<int, int> > pre;
    vector<int> up;
};


void run(){
    int n, A, B;
    cin >> n >> A >> B;
    Decomp de(A, B);
    vector<int> v(n);
    for(auto &e:v) cin >> e;
    pair<int, int> cnt;
    for(auto const&e:v){
        cnt += de(e);
    }
    int ans = cdiv(cnt.first, B) + cdiv(cnt.second, A);
    cout << ans << "\n";
}

signed main(){
    int T = 1;
    // cin >> T;
    while(T--){
        run();
    }
}
