// score: 45

#include <bits/stdc++.h>

#define FOR(i,n) for(int i = 0; i < (n); i++)
#define FORS(i,s,n) for(int i = (s); i < (n); i++)
#define IN(...) lli __VA_ARGS__; input(__VA_ARGS__)
#define INT(T, ...) T __VA_ARGS__; input(__VA_ARGS__)
#define INV(v, n) vi v(n); FOR(iii, n) { cin >> v[iii]; } while(0)
#define ALL(x) x.begin(), x.end()
#define OUT(...) output(cout, __VA_ARGS__); cout << "\n"
#define DEB(...) output(cerr, __VA_ARGS__); cerr << endl
#define DEBS(x) cerr << x << endl
#define DEBV(v) cerr << #v << ": "; cerr << (v) << endl

using namespace std;

using lli=long long int;
template <typename T> using v=vector<T>;
using pi=pair<lli, lli>;
using vi=v<lli>;
using vvi=v<vi>;
using vp=v<pi>;
using vvp=v<vp>;

constexpr lli INF = numeric_limits<lli>::max();

void input() {}
template <typename T, typename... Ts>
void input(T &arg1, Ts&... args) {
  cin >> arg1;
  input(args...);
}


template <typename ST>
void output(ST &strm) {}
template <typename ST, typename T, typename... Ts>
void output(ST &strm, const T &arg1, const Ts&... args) {
  strm << arg1 << " ";
  output(strm, args...);
}

template <typename T, typename S>
void maxx(T &a, const S &b) {
  a = a > b ? a : b;
}

template <typename T, typename S>
void minn(T &a, const S &b) {
  a = a < b ? a : b;
}

v<v<v<lli>>> memo;

lli dp(lli a, lli b, vi &g, lli pos, lli aleft, lli bleft) {
  if (pos >= g.size()) {
    return 0;
  }
  if (memo[pos][aleft][bleft] == -1) {
    lli sol = 0x3fffffff;
    lli aa = (g[pos] + a - 1) / a;
    lli bb = 0;
    while (aa >= 0) {
      lli npiz = 0;
      lli nal = 0;
      lli nbl = 0;
      if (aa <= aleft) {
        nal = aleft - aa;
      } else {
        lli naa = aa - aleft;
        lli nnpiz = (naa + b - 1) / b;
        nal = nnpiz * b - naa;
        npiz += nnpiz;
      }
      if (bb <= bleft) {
        nbl = bleft - bb;
      } else {
        lli nbb = bb - bleft;
        lli nnpiz = (nbb + a - 1) / a;
        nbl = nnpiz * a - nbb;
        npiz += nnpiz;
      }
      minn(sol, dp(a, b, g, pos+1, nal, nbl) + npiz);
      aa--;
      while (aa*a + bb*b < g[pos]) {
        bb++;
      }
    }
    // DEB(pos, sol, g[pos], a, b, aleft, bleft);
    memo[pos][aleft][bleft] = sol;
  }
  return memo[pos][aleft][bleft];
}

void solve() {
  IN(n, a, b);
  INV(g, n);

  lli sol = 0;
  lli ab2 = 2*a*b;

  for(auto& i : g) {
    sol += (i / ab2) * 2;
    i %= ab2;
  }

  memo.resize(n, vvi(b, vi(a, -1)));

  sol += dp(a, b, g, 0, 0, 0);

  OUT(sol);
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout << fixed << setprecision(0);
  solve();
  return 0;
}
